#!/bin/bash

echo "🔍 Checking for Tailwind CSS..."
if ! [ -d "node_modules" ]; then
  echo "📦 Installing Tailwind CSS and dependencies..."
  npm install
fi

echo "🚀 Building Tailwind CSS..."
npx tailwindcss -i ./static/css/main.css -o ./static/css/output.css --minify

echo "🔨 Building Zola site..."
zola build

echo "✅ Build complete!"
